--	AutoLoot_X1
--	Created by Tarl-Cabot

AL = {}
local ver = "1.000"
local LAM = LibStub("LibAddonMenu-1.0")
local db
local defaults = {
	looting = false,
	newitemonly = true,
	lootmsg = false,
	autojunk = false,
	repairall = false,
	repairequipped = false,
	selljunk = false,
	debugmsg = false,
	autojunknomoney = false,
	autorestack = "0",
	stackToBank,
	exclude,
	
	Lgarderlestraits = false,
	Mgarderlestraits = false,
	Hgarderlestraits = false,
	Jgarderlestraits = false,
	gardertouslestraits = false,
	
	CRAFTING_TYPE_ALCHEMY = "loot",
	CRAFTING_TYPE_BLACKSMITHING = "loot",
	CRAFTING_TYPE_CLOTHIER = "loot",
	CRAFTING_TYPE_ENCHANTING = "loot",
	CRAFTING_TYPE_INVALID = "loot",
	CRAFTING_TYPE_PROVISIONING = "loot",
	CRAFTING_TYPE_WOODWORKING = "loot",	
	
	DRINK_FOOD_LVL = "All",
		
	ITEM_PRIX = "",
	
	L_ITEM_QUALITY_LOOT = "NORMAL",
	L_ITEM_QUALITY_DESTROY = "X",
	L_ITEM_TRAIT1 = "X",
	L_ITEM_TRAIT2 = "X",
	L_ITEM_TRAIT3 = "X",
	
	M_ITEM_QUALITY_LOOT = "NORMAL",
	M_ITEM_QUALITY_DESTROY = "X",
	M_ITEM_TRAIT1 = "X",
	M_ITEM_TRAIT2 = "X",
	M_ITEM_TRAIT3 = "X",
	
	H_ITEM_QUALITY_LOOT = "NORMAL",
	H_ITEM_QUALITY_DESTROY = "X",
	H_ITEM_TRAIT1 = "X",
	H_ITEM_TRAIT2 = "X",
	H_ITEM_TRAIT3 = "X",
	
	j_ITEM_QUALITY_LOOT = "NORMAL",
	j_ITEM_QUALITY_DESTROY = "X",
	J_ITEM_TRAIT1 = "X",
	J_ITEM_TRAIT2 = "X",
	J_ITEM_TRAIT3 = "X",	
	
	WEAPONTYPE_HEALING_STAFF_LOOT = "NORMAL",
	WEAPONTYPE_HEALING_STAFF_DESTROY = "X",
	HEALSTAFF_ITEM_TRAIT1 = "X",
	HEALSTAFF_ITEM_TRAIT2 = "X",
	
	WEAPONTYPE_LIGHTNING_STAFF_LOOT = "NORMAL",
	WEAPONTYPE_LIGHTNING_STAFF_DESTROY= "X",
	LIGHTSTAFF_ITEM_TRAIT1 = "X",
	LIGHTSTAFF_ITEM_TRAIT2 = "X",
	
	WEAPONTYPE_FROST_STAFF_LOOT = "NORMAL",
	WEAPONTYPE_FROST_STAFF_DESTROY = "X",
	FROSTSTAFF_ITEM_TRAIT1 = "X",
	FROSTSTAFF_ITEM_TRAIT2 = "X",
	
	WEAPONTYPE_FIRE_STAFF_LOOT = "NORMAL",
	WEAPONTYPE_FIRE_STAFF_DESTROY = "X",	
	FIRESTAFF_ITEM_TRAIT1 = "X",
	FIRESTAFF_ITEM_TRAIT2 = "X",
	
	WEAPONTYPE_SHIELD_LOOT = "NORMAL",
	WEAPONTYPE_SHIELD_DESTROY = "X",	
	SHIELD_ITEM_TRAIT1 = "X",
	SHIELD_ITEM_TRAIT2 = "X",
	
	WEAPONTYPE_DAGGER_LOOT = "NORMAL",
	WEAPONTYPE_DAGGER_DESTROY = "X",
	DAdEM_TRAIT2 = "X",
	
	WEAPONTYPE_BOW_LOOT = "NORMAL",
	WEAPONTYPE_BOW_LOOT = "X",
	BOW_ITEM_TRAIT1 = "X",
	BOW_ITEM_TRAIT2 = "X",
	
	WEAPONTYPE_TWO_HANDED_HAMMER_LOOT = "NORMAL",
	WEAPONTYPE_TWO_HANDED_HAMMER_DESTROY = "X",
	HAM2_ITEM_TRAIT1 = "X",
	HAM2_ITEM_TRAIT2 = "X",
	
	WEAPONTYPE_TWO_HANDED_AXE_LOOT = "NORMAL",
	WEAPONTYPE_TWO_HANDED_AXE_DESTROY = "X",
	AXE2_ITEM_TRAIT1 = "X",
	AXE2_ITEM_TRAIT2 = "X",
	
	WEAPONTYPE_TWO_HANDED_SWORD_LOOT = "NORMAL",
	WEAPONTYPE_TWO_HANDED_SWORD_DESTROY = "X",
	EPE2_ITEM_TRAIT1 = "X",
	EPE2_ITEM_TRAIT2 = "X",
	
	WEAPONTYPE_SWORD_LOOT = "NORMAL",
	WEAPONTYPE_SWORD_DESTROY = "X",
	EPE1_ITEM_TRAIT1 = "X",
	EPE1_ITEM_TRAIT2 = "X",
	
	WEAPONTYPE_HAMMER_LOOT = "NORMAL",
	WEAPONTYPE_HAMMER_DESTROY = "X",
	HAM1_ITEM_TRAIT1 = "X",
	HAM1_ITEM_TRAIT2 = "X",
	
	WEAPONTYPE_AXE_LOOT = "NORMAL",	
	WEAPONTYPE_AXE_DESTROY = "X",	
	AXE1_ITEM_TRAIT1 = "X",
	AXE1_ITEM_TRAIT2 = "X",
	
	ITEMTYPE_LURE = "rebut",
	ITEMTYPE_TRASH = "rebut",
	ITEMTYPE_STYLE = "loot",
}

local lootopts = {
	[1] = "loot",
	[2] = "rebut",
	[3] = "detruire"
}

local qualopts = {
	[1] = "X",
	[2] = "NORMAL",
	[3] = "MAGIC",
	[4] = "ARCANE",
	[5] = "ARTEFACT",
	[6] = "LEGENDAIRE"
}

local traitarme = {
	[1] = "X",
	[2] = "Energise",
	[3] = "Charge",
	[4] = "Precis",
	[5] = "Infuse",
	[6] = "Defenseur",
	[7] = "Entrainement",
	[8] = "Acere",
	[9] = "Leste",
	[10] = "Orne",
	[11] = "Complexe"
}
local traitarmure = {
	[1] = "X",
	[2] = "Ajuste",
	[3] = "Divin",
	[4] = "Entrainement",
	[5] = "Exploration",
	[6] = "Infuse",
	[7] = "Impenetrable",
	[8] = "Renforce",
	[9] = "Solide",
	[10] = "Orne",
	[11] = "Complexe"
}

local traitbijou = {
	[1] = "X",
	[2] = "Arcane",
	[3] = "Sante",
	[4] = "Orne",
	[5] = "Robust"
}
local itemprix = {
	[1] = "X",
	[2] = 20,
	[3] = 40,
	[4] = 60,
	[5] = 80,
	[6] = 100
}
local itemlvl = {
	[1] = "All",
	[2] = 10,
	[3] = 20,
	[4] = 30,
	[5] = 40,
	[6] = 50
}

local function sendM(message)
	if(CHAT_SYSTEM)
	then
		CHAT_SYSTEM:AddMessage(tostring(message))
	end
end

local function sendDebug(message)
	if(CHAT_SYSTEM)
	then
		if(db.lootmsg==true) then
			CHAT_SYSTEM:AddMessage(tostring(message))
		end
	end
end

local function sendd(message)
	if(CHAT_SYSTEM)
	then
		if(db.debugmsg==true) then
			CHAT_SYSTEM:AddMessage(tostring(message))
		end
	end
end

function AL.OnUpdate()
end

function AL.OnLootReceived(eventId, bagId, slotId, isNewItem, itemSoundCategory, updateReason)

	if( db.newitemonly == true) then
		if(isNewItem==false) then
			return
		end
	end
	
	sendd("slot : " .. slotId)
	sendd("Bag : " .. bagId)
	if (bagId == 0) then
		return
	end
	
	sendd("AutoSt : " , db.autorestack)
	 db.autorestack = "0"
	 
	local weapontype = 0
	local armortype = 0
	local itemname = GetItemName(bagId, slotId)
	local itemtype = GetItemType(bagId, slotId)
	local itemlink = GetItemLink(bagId, slotId, LINK_STYLE_DEFAULT)
	local itemlvl = GetItemLevel(bagId, slotId)
	local itemtrait = GetItemTrait(bagId, slotId)
	local iteminfo = GetItemInfo(bagId, slotId)
	local icon, stack, sellPrice, meetsUsageRequirement, locked, equipType, itemStyle, quality = GetItemInfo(bagId, slotId)
	local usedInCraftingType, itemType, extraInfo1, extraInfo2, extraInfo3 = GetItemCraftingInfo(bagId, slotId)
	sendd("_____________")
	sendd("itemtype : ".. itemtype)
	sendd("itemlvl : ".. itemlvl)
	sendd("icon : ".. icon)
	sendd("quality : ".. quality)
	sendd("itemlink : ".. itemlink)
	sendd("itemtrait : ".. itemtrait)
	sendd("iteminfo : ".. iteminfo)
	sendd("sellPrice : ".. sellPrice)
	
	if(db.gardertouslestraits == true and itemtrait > 0) then
		return
	end
	
	if(itemtype == 1) then -- Armes
	
		weapontype = GetWeaponType(bagId, slotId)
		sendd("weapontype : ".. weapontype)
		
		if(weapontype == WEAPONTYPE_SHIELD)then 
			if (itemtrait > 0) then
 				 if (AL.ControlTraitItem(itemtrait,db.SHIELD_ITEM_TRAIT1,db.SHIELD_ITEM_TRAIT2,"X") == true) then
					if(isNewItem==false) then 
						sendM(">> Trait loot ! ".. itemlink)
						return
					end
					sendM(">> L'item ! ".. itemlink .. " Possede un trait que vous avez en selection ! " )
					return
				end
			end
			AL.gestion(bagId, slotId, quality, db.WEAPONTYPE_SHIELD_LOOT, db.WEAPONTYPE_SHIELD_DESTROY) sendd("") 
			return 
		end
		if(weapontype == WEAPONTYPE_DAGGER)then
			if (itemtrait > 0) then				
				if (AL.ControlTraitItem(itemtrait,db.DAG_ITEM_TRAIT1,db.DAG_ITEM_TRAIT2,"X")  == true) then
					if(isNewItem==false) then 
						sendM(">> Trait loot ! ".. itemlink)
						return
					end
					sendM(">> L'item ! ".. itemlink .. " Possede un trait que vous avez en selection ! " )
					return
				end
			end
			AL.gestion(bagId, slotId, quality, db.WEAPONTYPE_DAGGER_LOOT, db.WEAPONTYPE_DAGGER_DESTROY) sendd("") 
			return 
		end
		if(weapontype == WEAPONTYPE_BOW)then 
			if (itemtrait > 0) then				
 				 if (AL.ControlTraitItem(itemtrait,db.BOW_ITEM_TRAIT1,db.BOW_ITEM_TRAIT2,"X") == true) then
					if(isNewItem==false) then 
						sendM(">> Trait loot ! ".. itemlink)
						return
					end
					sendM(">> L'item ! ".. itemlink .. " Possede un trait que vous avez en selection ! " )
					return
				end
			end
			AL.gestion(bagId, slotId, quality, db.WEAPONTYPE_BOW_LOOT, db.WEAPONTYPE_BOW_DESTROY) sendd("") 
			return 
		end
		if(weapontype == WEAPONTYPE_TWO_HANDED_HAMMER)then 
			if (itemtrait > 0) then				
				if (AL.ControlTraitItem(itemtrait,db.HAM2_ITEM_TRAIT1,db.HAM2_ITEM_TRAIT2,"X")  == true) then
					if(isNewItem==false) then 
						sendM(">> Trait loot ! ".. itemlink)
						return
					end
					sendM(">> L'item ! ".. itemlink .. " Possede un trait que vous avez en selection ! " )
					return
				end
			end
			AL.gestion(bagId, slotId, quality, db.WEAPONTYPE_TWO_HANDED_HAMMER_LOOT, db.WEAPONTYPE_TWO_HANDED_HAMMER_DESTROY) sendd("") 
			return 
		end
		if(weapontype == WEAPONTYPE_TWO_HANDED_AXE)then 
			if (itemtrait > 0) then				
				if (AL.ControlTraitItem(itemtrait,db.AXE2_ITEM_TRAIT1,db.AXE2_ITEM_TRAIT2,"X")  == true) then
					if(isNewItem==false) then 
						sendM(">> Trait loot ! ".. itemlink)
						return
					end
					sendM(">> L'item ! ".. itemlink .. " Possede un trait que vous avez en selection ! " )
					return
				end
			end
			AL.gestion(bagId, slotId, quality, db.WEAPONTYPE_TWO_HANDED_AXE_LOOT, db.WEAPONTYPE_TWO_HANDED_AXE_DESTROY) sendd("") 
			return 
		end
		if(weapontype == WEAPONTYPE_TWO_HANDED_SWORD)then 
			if (itemtrait > 0) then				
				if (AL.ControlTraitItem(itemtrait,db.EPE2_ITEM_TRAIT1,db.EPE2_ITEM_TRAIT2,"X")  == true) then
					if(isNewItem==false) then 
						sendM(">> Trait loot ! ".. itemlink)
						return
					end
					sendM(">> L'item ! ".. itemlink .. " Possede un trait que vous avez en selection ! " )
					return
				end
			end
			AL.gestion(bagId, slotId, quality, db.WEAPONTYPE_TWO_HANDED_SWORD_LOOT, db.WEAPONTYPE_TWO_HANDED_SWORD_DESTROY) sendd("") 
			return 
		end
		if(weapontype == WEAPONTYPE_HAMMER)then 
			if (itemtrait > 0) then				
				if (AL.ControlTraitItem(itemtrait,db.HAM1_ITEM_TRAIT1,db.HAM1_ITEM_TRAIT2,"X")  == true) then
					if(isNewItem==false) then 
						sendM(">> Trait loot ! ".. itemlink)
						return
					end
					sendM(">> L'item ! ".. itemlink .. " Possede un trait que vous avez en selection ! " )
					return
				end
			end
			AL.gestion(bagId, slotId, quality, db.WEAPONTYPE_HAMMER_LOOT, db.WEAPONTYPE_HAMMER_DESTROY) sendd("") 
			return 
		end
		if(weapontype == WEAPONTYPE_AXE)then 
			if (itemtrait > 0) then				
				if (AL.ControlTraitItem(itemtrait,db.AXE1_ITEM_TRAIT1,db.AXE1_ITEM_TRAIT2,"X")  == true) then
					if(isNewItem==false) then 
						sendM(">> Trait loot ! ".. itemlink)
						return
					end
					sendM(">> L'item ! ".. itemlink .. " Possede un trait que vous avez en selection ! " )
					return
				end
			end
			AL.gestion(bagId, slotId, quality, db.WEAPONTYPE_AXE_LOOT, db.WEAPONTYPE_AXE_DESTROY) sendd("") 
			return 
		end
		if(weapontype == WEAPONTYPE_SWORD)then 
			if (itemtrait > 0) then				
				if (AL.ControlTraitItem(itemtrait,db.EPE1_ITEM_TRAIT1,db.EPE1_ITEM_TRAIT2,"X")  == true) then
					if(isNewItem==false) then 
						sendM(">> Trait loot ! ".. itemlink)
						return
					end
					sendM(">> L'item ! ".. itemlink .. " Possede un trait que vous avez en selection ! " )
					return
				end
			end
			AL.gestion(bagId, slotId, quality, db.WEAPONTYPE_SWORD_LOOT, db.WEAPONTYPE_SWORD_DESTROY) sendd("") 
			return 
		end
		if(weapontype == "staff")then 
			sendd("baton ")
			if (string.find(itemname, "feu") or string.find(itemname, "infern") or string.find(itemname, "Fire")) then
			if (itemtrait > 0) then				
				if (AL.ControlTraitItem(itemtrait,db.FIRESTAFF_ITEM_TRAIT1,db.FIRESTAFF_ITEM_TRAIT2,"X")  == true) then
					if(isNewItem==false) then 
						sendM(">> Trait loot ! ".. itemlink)
						return
					end
					sendM(">> L'item ! ".. itemlink .. " Possede un trait que vous avez en selection ! " )
					return
				end
			end
				AL.gestion(bagId, slotId, quality, db.WEAPONTYPE_FIRE_STAFF_LOOT, db.WEAPONTYPE_FIRE_STAFF_DESTROY) sendd("") 
				sendd("feu ")
				return
			end
			if (string.find(itemname, "foudre") or string.find(itemname, "ligh")) then
			if (itemtrait > 0) then				
				if (AL.ControlTraitItem(itemtrait,db.LIGHTSTAFF_ITEM_TRAIT1,db.LIGHTSTAFF_ITEM_TRAIT2,"X")  == true) then
					if(isNewItem==false) then 
						sendM(">> Trait loot ! ".. itemlink)
						return
					end
					sendM(">> L'item ! ".. itemlink .. " Possede un trait que vous avez en selection ! " )
					return
				end
			end
				AL.gestion(bagId, slotId, quality, db.WEAPONTYPE_LIGHTNING_STAFF_LOOT, db.WEAPONTYPE_LIGHTNING_STAFF_DESTROY) sendd("")
				sendd("foudre ")
				return
			end
			if (string.find(itemname, "froid") or string.find(itemname, "frost") or string.find(itemname, "ice") or string.find(itemname, "glace")) then
			if (itemtrait > 0) then				
				if (AL.ControlTraitItem(itemtrait,db.FROSTSTAFF_ITEM_TRAIT1,db.FROSTSTAFF_ITEM_TRAIT2,"X")  == true) then
					if(isNewItem==false) then 
						sendM(">> Trait loot ! ".. itemlink)
						return
					end
					sendM(">> L'item ! ".. itemlink .. " Possede un trait que vous avez en selection ! " )
					return
				end
			end
				AL.gestion(bagId, slotId, quality, db.WEAPONTYPE_FROST_STAFF_LOOT, db.WEAPONTYPE_FROST_STAFF_DESTROY) sendd("") 
				sendd("froid ")
				return
			end
			if (string.find(itemname, "tabliss") or string.find(itemname, "stora") or string.find(itemname, "soin") or string.find(itemname, "heal")) then
			if (itemtrait > 0) then				
				if (AL.ControlTraitItem(itemtrait,db.HEALSTAFF_ITEM_TRAIT1,db.HEALSTAFF_ITEM_TRAIT2,"X")  == true) then
					if(isNewItem==false) then 
						sendM(">> Trait loot ! ".. itemlink)
						return
					end
					sendM(">> L'item ! ".. itemlink .. " Possede un trait que vous avez en selection ! " )
					return
				end
			end
				AL.gestion(bagId, slotId, quality, db.WEAPONTYPE_HEALING_STAFF_LOOT, db.WEAPONTYPE_HEALING_STAFF_DESTROY) sendd("") 
				sendd("heal ")
				return
			end
		end
	end
	
	
	if(itemtype == 2) then -- Armure
		sendd("enter armor check & quality check ")
		if (string.find(icon,"light")) then
			if (itemtrait > 0) then				
				if (AL.ControlTraitItem(itemtrait,db.L_ITEM_TRAIT1,db.L_ITEM_TRAIT2,db.L_ITEM_TRAIT3)  == true) then
					if(isNewItem==false) then 
						sendM(">> Trait loot ! ".. itemlink)
						return
					end
					sendM(">> L'item ! ".. itemlink .. " Possede un trait que vous avez en selection ! " )
					return
				end
				if (db.Lgarderlestraits == true) then
					return
				end
			end
			
			sendd("LIGHT ")
			sendd("quality : ".. quality)
			AL.gestion(bagId, slotId, quality, db.L_ITEM_QUALITY_LOOT, db.L_ITEM_QUALITY_DESTROY)
			return
		end
		if (string.find(icon,"medium")) then
			if (itemtrait > 0) then
				if (AL.ControlTraitItem(itemtrait,db.M_ITEM_TRAIT1,db.M_ITEM_TRAIT2,db.M_ITEM_TRAIT3)  == true) then
					if(isNewItem==false) then 
						sendM(">> Trait loot ! ".. itemlink)
						return
					end
					sendM(">> L'item ! ".. itemlink .. " Possede un trait que vous avez en selection ! " )
					return
				end
				if (db.Mgarderlestraits == true) then
					return
				end
			end
			sendd("MEDIUM ")
			sendd("quality : ".. quality)
			AL.gestion(bagId, slotId, quality, db.M_ITEM_QUALITY_LOOT, db.M_ITEM_QUALITY_DESTROY)
			return
		end
		if (string.find(icon, "heavy")) then
			if (itemtrait > 0) then				
				if (AL.ControlTraitItem(itemtrait,db.H_ITEM_TRAIT1,db.H_ITEM_TRAIT2,db.H_ITEM_TRAIT3)  == true) then
					if(isNewItem==false) then 
						sendM(">> Trait loot ! ".. itemlink)
						return
					end
					sendM(">> L'item ! ".. itemlink .. " Possede un trait que vous avez en selection ! " )
					return
				end
				if (db.Hgarderlestraits == true) then
					return
				end
			end
			sendd("HEAVY ")
			sendd("quality : ".. quality)
			AL.gestion(bagId, slotId, quality, db.H_ITEM_QUALITY_LOOT, db.H_ITEM_QUALITY_DESTROY)
			return
		end
		if (string.find(icon,"ring") or string.find(icon,"neck")) then
			if (itemtrait > 0) then
				if (AL.ControlTraitItem(itemtrait,db.J_ITEM_TRAIT1,db.J_ITEM_TRAIT2,db.J_ITEM_TRAIT3)  == true) then
					if(isNewItem==false) then 
						sendM(">> Trait loot ! ".. itemlink)
						return
					end
					sendM(">> L'item ! ".. itemlink .. " Possede un trait que vous avez en selection ! " )
					return
				end
			end
			sendd("BIJOU ")
			sendd("quality : ".. quality)
			AL.gestion(bagId, slotId, quality, db.J_ITEM_QUALITY_LOOT, db.J_ITEM_QUALITY_DESTROY)
			return
		end
		return
	end
	
	
	
	if(itemtype == 4 or itemtype == 7 or itemtype == 12) then 
		if (db.DRINK_FOOD_LVL ~= "All") then
			local i 
			if (db.DRINK_FOOD_LVL == "10") then i=10 end
			if (db.DRINK_FOOD_LVL == "20") then i=20 end
			if (db.DRINK_FOOD_LVL == "30") then i=30 end
			if (db.DRINK_FOOD_LVL == "40") then i=40 end
			if (db.DRINK_FOOD_LVL == "50") then i=50 end
			sendd("i : "..i)
			if ( i > itemlvl)then
				AL.do_action(bagId, slotId, "rebut")
				return
			end	
		end
	end	
	
	if(itemtype == 33) then 
		AL.do_action(bagId, slotId, db.CRAFTING_TYPE_ALCHEMY)
		return 
	end
	if(itemtype == 41 or itemtype == 36 or itemtype == 35 ) then 
		AL.do_action(bagId, slotId, db.CRAFTING_TYPE_BLACKSMITHING)
		return 
	end
	if(itemtype == 43 or itemtype == 40 or itemtype == 39 ) then 
		AL.do_action(bagId, slotId, db.CRAFTING_TYPE_CLOTHIER)
		return 
	end
	if(itemtype == 32 or itemtype == 25 ) then 
		AL.do_action(bagId, slotId, db.CRAFTING_TYPE_ENCHANTING)
		return 
	end
	if(itemtype == 12 or itemtype == 10 or itemtype == 4 ) then 
		AL.do_action(bagId, slotId, db.CRAFTING_TYPE_PROVISIONING)
		return 
	end	
	if(itemtype == 42 or itemtype == 38 or itemtype == 37 ) then 
		AL.do_action(bagId, slotId, db.CRAFTING_TYPE_WOODWORKING)
		return 
	end	
	
	if(itemtype == 16) then 
		AL.do_action(bagId, slotId, db.ITEMTYPE_LURE)
		return 
	end
	if(itemtype == 44) then 
		AL.do_action(bagId, slotId, db.ITEMTYPE_STYLE)
		return 
	end
	if(itemtype == 48) then 
		AL.do_action(bagId, slotId, db.ITEMTYPE_TRASH)
		return 
	end		
	if(isNewItem==true) then
		sendDebug(">>> [ " ..GetItemLink(bagId, slotId, LINK_STYLE_DEFAULT) .. "] est dans l'inventaire")
	end
end


function AL.ControlTraitItem(itemtr,t1,t2,t3)

	sendd("ControlTraitItem ")
	sendd("t1 : " , t1)
	sendd("t2 : " , t2)
	sendd("t3 : " , t3)
	sendd("itemtr : " , itemtr)
	local trt = "xxx"
	sendd(trt)
	-- arme
	if (itemtr == 1) then trt = "Energise" end
	if (itemtr == 2) then trt = "Charge" end
	if (itemtr == 3) then trt = "Precis" end
	if (itemtr == 4) then trt = "Infuse" end
	if (itemtr == 5) then trt = "Defenseur" end
	if (itemtr == 6) then trt = "Entrainement" end
	if (itemtr == 7) then trt = "Acere" end
	if (itemtr == 8) then trt = "Leste" end
	if (itemtr == 9) then trt = "Orne" end
	if (itemtr == 10) then trt = "Complexe" end
	
	--armure
	if (itemtr == 11) then trt = "Solide" end
	if (itemtr == 12) then trt = "Impenetrable" end
	if (itemtr == 13) then trt = "Renforce" end
	if (itemtr == 14) then trt = "Ajuste" end
	if (itemtr == 15) then trt = "Entrainement" end
	if (itemtr == 16) then trt = "Infuse" end
	if (itemtr == 17) then trt = "Exploration" end
	if (itemtr == 18) then trt = "Divin" end
	if (itemtr == 19) then trt = "Orne" end
	if (itemtr == 20) then trt = "Complexe" end
	
	--bijou
	if (itemtr == 21) then trt = "Sante" end
	if (itemtr == 22) then trt = "Arcane" end
	if (itemtr == 23) then trt = "Robust" end
	if (itemtr == 24) then trt = "Orne" end
sendd(trt)
	if (t1 == trt) then
		return true
	end
	if (t2 == trt) then
		return true
	end
	if (t3 == trt) then 
		return true
	end
	
	return false
end

function GetWeaponType(bagId,slotId)

	local icon = GetItemInfo(bagId,slotId)
	
	if (string.find(icon, "1hsword")) then
	  return WEAPONTYPE_SWORD
	elseif string.find(icon,"2hsword") then
		return WEAPONTYPE_TWO_HANDED_SWORD
	elseif string.find(icon,"1haxe") then
		return WEAPONTYPE_AXE
	elseif string.find(icon,"2haxe") then
		return WEAPONTYPE_TWO_HANDED_AXE
	elseif string.find(icon,"1hhammer") then
		return WEAPONTYPE_HAMMER
	elseif string.find(icon,"2hhammer") then
		return WEAPONTYPE_TWO_HANDED_HAMMER
	elseif string.find(icon,"dagger") then
		return WEAPONTYPE_DAGGER
	elseif string.find(icon,"shield") then
		return WEAPONTYPE_SHIELD
	elseif string.find(icon,"bow") then
		return WEAPONTYPE_BOW
	elseif string.find(icon,"staff") then
		return "staff"
	else
		return WEAPONTYPE_NONE
	end
end

function AL.gestion(bagId, slotId, iqual, iloot, ikill)

	local loot = 0	
	if(iloot == "NORMAL") then loot = 1 end
	if(iloot == "MAGIC")  then loot = 2 end
	if(iloot == "ARCANE")  then loot = 3 end
	if(iloot == "ARTEFACT")  then loot = 4 end
	if(iloot == "LEGENDAIRE")  then loot = 5 end
	
	if (loot == 0) then 
		if(isNewItem==true) then
			sendDebug(">>> [ " ..GetItemLink(bagId, slotId, LINK_STYLE_DEFAULT) .. "] est dans l'inventaire")
		end
		return 
	end
	
	
	local kill = 0
	if(ikill == "NORMAL") then kill = 1 end
	if(ikill == "MAGIC")  then kill = 2 end
	if(ikill == "ARCANE")  then kill = 3 end
	if(ikill == "ARTEFACT")  then kill = 4 end
	if(ikill == "LEGENDAIRE")  then kill = 5 end
	
	if (iqual >= loot) then 
		if(isNewItem==true) then
			sendDebug(">>> [ " ..GetItemLink(bagId, slotId, LINK_STYLE_DEFAULT) .. "] est dans l'inventaire")
		end
		return 
	end
	
	if (iqual < loot and iqual > kill) then
		if (db.autojunknomoney == true) then
			if (ikill ~= "X") then 
				AL.DestroyLoot(bagId, slotId)
				return
			end
		end
		AL.JunkLoot(bagId, slotId)
		return
	end
	
	if (iqual < loot and iqual <= kill) then
		if (ikill ~= "X") then 
			AL.DestroyLoot(bagId, slotId)
			return
		end
	end	
	
	if(isNewItem==true) then
		sendDebug(">>> [ " ..GetItemLink(bagId, slotId, LINK_STYLE_DEFAULT) .. "] est dans l'inventaire")
		return
	end
	if(db.newitemonly == false and db.autorestack == "0")   then
		AL.CheckRestack()
	end
end

function AL.do_action(bagId, slotId, action)
	
	sendd("action : ".. action)
	if(action=="loot") then
		sendDebug(">>> [ " ..GetItemLink(bagId, slotId, LINK_STYLE_DEFAULT) .. "] est dans l'inventaire.")
		return
	end	
	
	local icon, stack, sellPrice, meetsUsageRequirement, locked, equipType, itemStyle, quality = GetItemInfo(bagId, slotId)
	sendd("ACTION SELLPRICE : " .. sellPrice)
	
	if(action=="rebut") then
		if (db.autojunknomoney == true) then
			if (sellPrice == 0) then
				AL.DestroyLoot(bagId, slotId)
				return
			end
		end
		AL.JunkLoot(bagId, slotId)
	end
	if(action=="detruire") then
		AL.DestroyLoot(bagId, slotId)
		
		return
	end
end

function AL.JunkLoot(bagId, slotId)
	sendDebug(">>> [ " ..GetItemLink(bagId, slotId, LINK_STYLE_DEFAULT) .. " mit dans les rebuts.")
	SetItemIsJunk(bagId, slotId, true)
	if(db.newitemonly == false and db.autorestack == "0")   then
		AL.CheckRestack()
	end
	
end

function AL.DestroyLoot(bagId, slotId)

	local icon, stack, sellPrice, meetsUsageRequirement, locked, equipType, itemStyle, quality = GetItemInfo(bagId, slotId)
	sendd("destroy sellprice : " .. sellPrice)
	
	local ip = 0
	if (db.ITEM_PRIX == "X") then ip = 0 end
	if (db.ITEM_PRIX == "20") then ip = 20 end
	if (db.ITEM_PRIX == "40") then ip = 40 end
	if (db.ITEM_PRIX == "60") then ip = 60 end
	if (db.ITEM_PRIX == "80") then ip = 80 end
	if (db.ITEM_PRIX == "100") then ip = 100 end
	
	sendd("ACTION ip : " .. ip)
	
	
	
	if (db.autojunknomoney == true) then
		if (sellPrice == 0) then
			DestroyItem(bagId, slotId)	
			sendDebug(">>> [ " ..GetItemLink(bagId, slotId, LINK_STYLE_DEFAULT) .. " a ete detruit.")
			if(db.newitemonly == false and db.autorestack == "0")   then
				AL.CheckRestack()
			end
			return
		end
	end
	
	if (sellPrice >= ip and ip ~= 0) then
		sendDebug(">>> le prix de l'item ne lui permet pas d etre detruit.")	
		if(db.newitemonly == false and db.autorestack == "0")   then
			AL.CheckRestack()
		end	
		return
	end

	sendDebug(">>> [ " ..GetItemLink(bagId, slotId, LINK_STYLE_DEFAULT) .. " a ete detruit.")
	DestroyItem(bagId, slotId)	
	
	if(db.newitemonly == false and db.autorestack == "0")   then
		AL.CheckRestack()
	end
end

local function CreateOptions()
		local lfpanel = LAM:CreateControlPanel("Looty", "AutoLoot_X1")
		
		LAM:AddHeader(lfpanel, "X1lootsettings", "")
		LAM:AddDescription(lfpanel, "X1lfdesc2", "Developed by Tarl-Cabot \nChoississez ce que vous souhaitez garder dans votre inventaire selon votre jeu, l'addon placera en rebuts le reste selon vos criteres ou detruira ce que vous ne voulez pas selon vos choix. \n(tarlcabot@hotmail.fr pour les suggestions)", "Version " .. ver)
		LAM:AddDescription(lfpanel, "X1lsepa1", "", "")
		
		LAM:AddCheckbox(lfpanel, "X1lootnewitem", "Filtrer les nouveau items seulement.", "Si OUI, ne filtrera que les nouveaux loots. Si NON, il fera le tri quand vous manipulerez vos inventaires de bank par exemple. Cela peut etre pratique pour vider des items useless mais attention aux fausse manip.",
					function()  return db.newitemonly end,
					function()	db.newitemonly = not db.newitemonly end)
					
		LAM:AddCheckbox(lfpanel, "X1lootmessages", "Loot Messages", "Voir les messages de loot.",
					function()  return db.lootmsg end,
					function()	db.lootmsg = not db.lootmsg end)
		
				
		LAM:AddCheckbox(lfpanel, "X1autoselljunk", "Vendre les rebut Auto", "Vendre immediatement les rebuts a un marchand.",
					function()  return db.selljunk end,
					function()	db.selljunk = not db.selljunk end)
		LAM:AddCheckbox(lfpanel, "X1autorepair", "Reparation Auto", "Repare tous les items casses (stuff et inventaire)",
					function()  return db.repairall end,
					function()	db.repairall = not db.repairall end)
		LAM:AddCheckbox(lfpanel, "X1autorepairworn", "Reparation Auto du stuff", "Repare les items equippes",
					function()  return db.repairequipped end,
					function()	db.repairequipped = not db.repairequipped end)		
		LAM:AddCheckbox(lfpanel, "X1alLconservealltrait", "Conserver tous les items avec un trait!", "Si active, ne tiendra pas compte des autres parametres. Les parametres seront utilisés uniquement pour les items sans traits.",
					function()  return db.gardertouslestraits end,
					function()	db.Lgarderlestraits = not db.Lgarderlestraits end)	
		LAM:AddCheckbox(lfpanel, "X1autojunknomoney", "Supprimer les rebuts sans valeurs", "si un rebut a une valeur de zero PO on le supprime automatiquement.",
					function()  return db.autojunknomoney end,
					function()	db.autojunknomoney = not db.autojunknomoney end)
		LAM:AddDescription(lfpanel, "X1lsepa2", " ", " ")
		LAM:AddDropdown(lfpanel, "X1prixagarder", "Ne jamais supprimer un rebut si le prix est superieur a : ", " Choississez un montant au dela du quel l'item ne sera jamais destroy malgré les parametres choisis.", itemprix,
					function()  return db.ITEM_PRIX end,
					function(val)	db.ITEM_PRIX = val end)
		LAM:AddDescription(lfpanel, "X1lsepa3", " ", " ")
					
					
					
		LAM:AddHeader(lfpanel, "X1consomable", "Consomables")
		LAM:AddDescription(lfpanel, "X1lconsommdesc2", "", "")
		LAM:AddDropdown(lfpanel, "X1lvlfood", "Nourriture & Boisson: Conserver que les item de level + : ", " Choississez un lvl minimum pour les consommables, les items de level inferieur seront mis au rebuts.", itemlvl,
					function()  return db.DRINK_FOOD_LVL end,
					function(val)	db.DRINK_FOOD_LVL = val end)
					
		LAM:AddDescription(lfpanel, "X1lsepa4", " ", " ")
					
					
					
		LAM:AddHeader(lfpanel, "X1Llootbyquality", "ARMURE")
				
		LAM:AddDescription(lfpanel, "X1Llflootbyqdesc", "- ARMURE LEGERE -", "------------------------")
		LAM:AddDropdown(lfpanel, "X1Lqualityselect1", "Qualite minimum a garder >>", " Les qualites inferieur seront stockees dans les rebuts : ", qualopts,
                function()  return db.L_ITEM_QUALITY_LOOT end,
				function(val)	db.L_ITEM_QUALITY_LOOT = val end)				
		LAM:AddDropdown(lfpanel, "X1Lqualityselect2", " /!\\ Qualite a detruire !!! >>", " La qualite choisie et celles inferieurs seront detruites.", qualopts,
                function()  return db.L_ITEM_QUALITY_DESTROY end,
				function(val)	db.L_ITEM_QUALITY_DESTROY = val end)
		LAM:AddDropdown(lfpanel, "X1Lcherchetrait1", "Priorité a ce trait >>", " Si une piece d'armure legere a ce trait il ne sera pas classé en rebuts.", traitarmure,
                function()  return db.L_ITEM_TRAIT1 end,
				function(val)	db.L_ITEM_TRAIT1 = val end)
		LAM:AddDropdown(lfpanel, "X1Lcherchetrait2", "Priorité a ce trait >>", " Si une piece d'armure legere a ce trait il ne sera pas classé en rebuts.", traitarmure,
                function()  return db.L_ITEM_TRAIT2 end,
				function(val)	db.L_ITEM_TRAIT2 = val end)
		LAM:AddDropdown(lfpanel, "X1Lcherchetrait3", "Priorité a ce trait >>", " Si une piece d'armure legere a ce trait il ne sera pas classé en rebuts.", traitarmure,
                function()  return db.L_ITEM_TRAIT3 end,
				function(val)	db.L_ITEM_TRAIT3 = val end)				
		LAM:AddCheckbox(lfpanel, "X1Lconservealltrait", "Conserver tous les items leger avec un trait!", "Si active, ne tiendra pas compte des autres parametres. Les parametres seront utilisés uniquement pour les items sans traits.",
					function()  return db.Lgarderlestraits end,
					function()	db.Lgarderlestraits = not db.Lgarderlestraits end)	
					
				
				
				
				
		LAM:AddDescription(lfpanel, "X1Mlflootbyqdesc", "- ARMURE INTERMEDIARE -", "------------------------")
		LAM:AddDropdown(lfpanel, "X1Mqualityselect1", "Qualite minimum a garder >>", " Les qualites inferieur seront stockees dans les rebuts : ", qualopts,
                function()  return db.M_ITEM_QUALITY_LOOT end,
				function(val)	db.M_ITEM_QUALITY_LOOT = val end)				
		LAM:AddDropdown(lfpanel, "X1Mqualityselect2", " /!\\ Qualite a detruire !!! >>", " La qualite choisie et celles inferieurs seront detruites.", qualopts,
                function()  return db.M_ITEM_QUALITY_DESTROY end,
				function(val)	db.M_ITEM_QUALITY_DESTROY = val end)
		LAM:AddDropdown(lfpanel, "X1Mcherchetrait1", "Priorité a ce trait >>", " Si une piece d'armure legere a ce trait il ne sera pas classé en rebuts.", traitarmure,
                function()  return db.M_ITEM_TRAIT1 end,
				function(val)	db.M_ITEM_TRAIT1 = val end)
		LAM:AddDropdown(lfpanel, "X1Mcherchetrait2", "Priorité a ce trait >>", " Si une piece d'armure legere a ce trait il ne sera pas classé en rebuts.", traitarmure,
                function()  return db.M_ITEM_TRAIT2 end,
				function(val)	db.M_ITEM_TRAIT2 = val end)
		LAM:AddDropdown(lfpanel, "X1Mcherchetrait3", "Priorité a ce trait >>", " Si une piece d'armure legere a ce trait il ne sera pas classé en rebuts.", traitarmure,
                function()  return db.M_ITEM_TRAIT3 end,
				function(val)	db.M_ITEM_TRAIT3 = val end)				
		LAM:AddCheckbox(lfpanel, "X1Mconservealltrait", "Conserver tous les items medium avec un trait!", "Si active, ne tiendra pas compte des autres parametres. Les parametres seront utilisés uniquement pour les items sans traits.",
					function()  return db.Mgarderlestraits end,
					function()	db.Mgarderlestraits = not db.Mgarderlestraits end)	
				
				
				
				
		LAM:AddDescription(lfpanel, "X1Hlflootbyqdesc", "- ARMURE LOURDE -", "------------------------")
		LAM:AddDropdown(lfpanel, "X1Hqualityselect1", "Qualite minimum a garder >>", " Les qualites inferieur seront stockees dans les rebuts : ", qualopts,
                function()  return db.H_ITEM_QUALITY_LOOT end,
				function(val)	db.H_ITEM_QUALITY_LOOT = val end)				
		LAM:AddDropdown(lfpanel, "X1Hqualityselect2", " /!\\ Qualite a detruire !!! >>", " La qualite choisie et celles inferieurs seront detruites.", qualopts,
                function()  return db.H_ITEM_QUALITY_DESTROY end,
				function(val)	db.H_ITEM_QUALITY_DESTROY = val end)
		LAM:AddDropdown(lfpanel, "X1Hcherchetrait1", "Priorité a ce trait >>", " Si une piece d'armure legere a ce trait il ne sera pas classé en rebuts.", traitarmure,
                function()  return db.H_ITEM_TRAIT1 end,
				function(val)	db.H_ITEM_TRAIT1 = val end)
		LAM:AddDropdown(lfpanel, "X1Hcherchetrait2", "Priorité a ce trait >>", " Si une piece d'armure legere a ce trait il ne sera pas classé en rebuts.", traitarmure,
                function()  return db.H_ITEM_TRAIT2 end,
				function(val)	db.H_ITEM_TRAIT2 = val end)
		LAM:AddDropdown(lfpanel, "X1Hcherchetrait3", "Priorité a ce trait >>", " Si une piece d'armure legere a ce trait il ne sera pas classé en rebuts.", traitarmure,
                function()  return db.H_ITEM_TRAIT3 end,
				function(val)	db.H_ITEM_TRAIT3 = val end)				
		LAM:AddCheckbox(lfpanel, "X1Hconservealltrait", "Conserver tous les items lourd avec un trait!", "Si active, ne tiendra pas compte des autres parametres. Les parametres seront utilisés uniquement pour les items sans traits.",
					function()  return db.Hgarderlestraits end,
					function()	db.Hgarderlestraits = not db.Hgarderlestraits end)	
				
				
				
				
		LAM:AddHeader(lfpanel, "X1Jewellootbyquality", "Bijoux")	
		LAM:AddDescription(lfpanel, "X1Jlflootbyqdesc", "", "Bagues et Collier")
		LAM:AddDropdown(lfpanel, "X1Jqualityselect1", "Qualite minimum a garder >>", " Les qualites inferieur seront stockees dans les rebuts : ", qualopts,
                function()  return db.J_ITEM_QUALITY_LOOT end,
				function(val)	db.J_ITEM_QUALITY_LOOT = val end)				
		LAM:AddDropdown(lfpanel, "X1Jqualityselect2", " /!\\ Qualite a detruire !!! >>", " La qualite choisie et celles inferieurs seront detruites.", qualopts,
                function()  return db.J_ITEM_QUALITY_DESTROY end,
				function(val)	db.J_ITEM_QUALITY_DESTROY = val end)
		LAM:AddDropdown(lfpanel, "X1Jcherchetrait1", "Priorité a ce trait >>", " Si une piece d'armure legere a ce trait il ne sera pas classé en rebuts.", traitbijou,
                function()  return db.J_ITEM_TRAIT1 end,
				function(val)	db.J_ITEM_TRAIT1 = val end)
		LAM:AddDropdown(lfpanel, "X1Jcherchetrait2", "Priorité a ce trait >>", " Si une piece d'armure legere a ce trait il ne sera pas classé en rebuts.", traitbijou,
                function()  return db.J_ITEM_TRAIT2 end,
				function(val)	db.J_ITEM_TRAIT2 = val end)
		LAM:AddDropdown(lfpanel, "X1Jcherchetrait3", "Priorité a ce trait >>", " Si une piece d'armure legere a ce trait il ne sera pas classé en rebuts.", traitbijou,
                function()  return db.J_ITEM_TRAIT3 end,
				function(val)	db.J_ITEM_TRAIT3 = val end)				
		LAM:AddCheckbox(lfpanel, "X1Jconservealltrait", "Conserver tous les items avec un trait!", "Si active, ne tiendra pas compte des autres parametres. Les parametres seront utilisés uniquement pour les items sans traits.",
					function()  return db.Jgarderlestraits end,
					function()	db.Jgarderlestraits = not db.Jgarderlestraits end)	
				
				
				

		LAM:AddHeader(lfpanel, "X1lootbyweapontype", "ARMES")	
		LAM:AddDescription(lfpanel, "X1lflootbyqdesc", "ARMES par Type et Qualite", "choisir la qualite mini pour l'inventaire, le reste ira aux rebuts si vous ne decidez pas de le detruire.")
		
				
		LAM:AddDescription(lfpanel, "X1Hlflootbyqdesc1", "- Baton de Soin -", "------------------------")
		LAM:AddDropdown(lfpanel, "X1wp7", "Qualite a garder >>", " Qualite qui sera conservee en inventaire comme toutes celles de qualite superieure. ", qualopts,
                function()  return db.WEAPONTYPE_HEALING_STAFF_LOOT end,
				function(val)	db.WEAPONTYPE_HEALING_STAFF_LOOT = val end)
		LAM:AddDropdown(lfpanel, "X1dwp7", " /!\\ Qualite a detruire !!!", " Qualite des items qui seront detruits en fonction de vos autres choix (traits ou prix) ! Les qualites inferieurs seront egalement detruites!!! ", qualopts,
                function()  return db.WEAPONTYPE_HEALING_STAFF_DESTROY end,
				function(val)	db.WEAPONTYPE_HEALING_STAFF_DESTROY = val end)
		LAM:AddDropdown(lfpanel, "X1hscherchetrait1", "Priorité a ce trait >>", " Si un baton de soin a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.HEALSTAFF_ITEM_TRAIT1 end,
				function(val)	db.HEALSTAFF_ITEM_TRAIT1 = val end)
		LAM:AddDropdown(lfpanel, "X1hscherchetrait2", "Priorité a ce trait >>", " Si un baton de soin a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.HEALSTAFF_ITEM_TRAIT2 end,
				function(val)	db.HEALSTAFF_ITEM_TRAIT2 = val end)
				
		LAM:AddDescription(lfpanel, "X1Hlflootbyqdesc2", "- Baton de Foudre -", "------------------------")
		LAM:AddDropdown(lfpanel, "X1wp1", "Qualite a garder >>", " Qualite qui sera conservee en inventaire comme toutes celles de qualite superieure. ", qualopts,
                function()  return db.WEAPONTYPE_LIGHTNING_STAFF_LOOT end,
				function(val)	db.WEAPONTYPE_LIGHTNING_STAFF_LOOT = val end)
		LAM:AddDropdown(lfpanel, "X1dwp1", " /!\\ Qualite a detruire !!!", " Qualite des items qui seront detruits en fonction de vos autres choix (traits ou prix) ! Les qualites inferieurs seront egalement detruites!!! ", qualopts,
                function()  return db.WEAPONTYPE_LIGHTNING_STAFF_DESTROY end,
				function(val)	db.WEAPONTYPE_LIGHTNING_STAFF_DESTROY = val end)
		LAM:AddDropdown(lfpanel, "X1hfcherchetrait1", "Priorité a ce trait >>", " Si un baton de foudre a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.LIGHTSTAFF_ITEM_TRAIT1 end,
				function(val)	db.LIGHTSTAFF_ITEM_TRAIT1 = val end)
		LAM:AddDropdown(lfpanel, "X1hfcherchetrait2", "Priorité a ce trait >>", " Si un baton de foudre a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.LIGHTSTAFF_ITEM_TRAIT2 end,
				function(val)	db.LIGHTSTAFF_ITEM_TRAIT2 = val end)
				
				
		LAM:AddDescription(lfpanel, "X1Hlflootbyqdesc3", "- Baton de Glace -", "------------------------")
		LAM:AddDropdown(lfpanel, "X1wp3", "Qualite a garder >>", " Qualite qui sera conservee en inventaire comme toutes celles de qualite superieure. ", qualopts,
                function()  return db.WEAPONTYPE_FROST_STAFF_LOOT end,
				function(val)	db.WEAPONTYPE_FROST_STAFF_LOOT = val end)
		LAM:AddDropdown(lfpanel, "X1dwp3", " /!\\ Qualite a detruire !!!", " Qualite des items qui seront detruits en fonction de vos autres choix (traits ou prix) ! Les qualites inferieurs seront egalement detruites!!! ", qualopts,
                function()  return db.WEAPONTYPE_FROST_STAFF_DESTROY end,
				function(val)	db.WEAPONTYPE_FROST_STAFF_DESTROY = val end)
		LAM:AddDropdown(lfpanel, "X1hfscherchetrait1", "Priorité a ce trait >>", " Si un baton de glace a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.FROSTSTAFF_ITEM_TRAIT1 end,
				function(val)	db.FROSTSTAFF_ITEM_TRAIT1 = val end)
		LAM:AddDropdown(lfpanel, "X1hfscherchetrait2", "Priorité a ce trait >>", " Si un baton de glace a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.FROSTSTAFF_ITEM_TRAIT2 end,
				function(val)	db.FROSTSTAFF_ITEM_TRAIT2 = val end)
				
				
		LAM:AddDescription(lfpanel, "X1Hlflootbyqdesc4", "- Baton de Feu -", "------------------------")
		LAM:AddDropdown(lfpanel, "X1wp4", "Qualite a garder >>", " Qualite qui sera conservee en inventaire comme toutes celles de qualite superieure. ", qualopts,
                function()  return db.WEAPONTYPE_FIRE_STAFF_LOOT end,
				function(val)	db.WEAPONTYPE_FIRE_STAFF_LOOT = val end)
		LAM:AddDropdown(lfpanel, "X1dwp4", " /!\\ Qualite a detruire !!!", " Qualite des items qui seront detruits en fonction de vos autres choix (traits ou prix) ! Les qualites inferieurs seront egalement detruites!!! ", qualopts,
                function()  return db.WEAPONTYPE_FIRE_STAFF_DESTROY end,
				function(val)	db.WEAPONTYPE_FIRE_STAFF_DESTROY = val end)
		LAM:AddDropdown(lfpanel, "X1hffcherchetrait1", "Priorité a ce trait >>", " Si un baton de foudre a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.FIRESTAFF_ITEM_TRAIT1 end,
				function(val)	db.FIRESTAFF_ITEM_TRAIT1 = val end)
		LAM:AddDropdown(lfpanel, "X1hffcherchetrait2", "Priorité a ce trait >>", " Si un baton de foudre a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.FIRESTAFF_ITEM_TRAIT2 end,
				function(val)	db.FIRESTAFF_ITEM_TRAIT2 = val end)


		LAM:AddDescription(lfpanel, "X1Hlflootbyqdesc5", "- Bouclier -", "------------------------")
		LAM:AddDropdown(lfpanel, "X1wp2", "Qualite a garder >>", " Qualite qui sera conservee en inventaire comme toutes celles de qualite superieure. ", qualopts,
                function()  return db.WEAPONTYPE_SHIELD_LOOT end,
				function(val)	db.WEAPONTYPE_SHIELD_LOOT = val end)
		LAM:AddDropdown(lfpanel, "X1dwp2", " /!\\ Qualite a detruire !!!", " Qualite des items qui seront detruits en fonction de vos autres choix (traits ou prix) ! Les qualites inferieurs seront egalement detruites!!! ", qualopts,
                function()  return db.WEAPONTYPE_SHIELD_DESTROY end,
				function(val)	db.WEAPONTYPE_SHIELD_DESTROY = val end)
		LAM:AddDropdown(lfpanel, "X1hshifcherchetrait1", "Priorité a ce trait >>", " Si un bouclier a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.SHIELD_ITEM_TRAIT1 end,
				function(val)	db.SHIELD_ITEM_TRAIT1 = val end)
		LAM:AddDropdown(lfpanel, "X1hshifcherchetrait2", "Priorité a ce trait >>", " Si un bouclier a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.SHIELD_ITEM_TRAIT2 end,
				function(val)	db.SHIELD_ITEM_TRAIT2 = val end)
				
				
		LAM:AddDescription(lfpanel, "X1Hlflootbyqdesc6", "- Dague -", "------------------------")
		LAM:AddDropdown(lfpanel, "X1wp5", "Qualite a garder >>", " Qualite qui sera conservee en inventaire comme toutes celles de qualite superieure. ", qualopts,
                function()  return db.WEAPONTYPE_DAGGER_LOOT end,
				function(val)	db.WEAPONTYPE_DAGGER_LOOT = val end)
		LAM:AddDropdown(lfpanel, "X1dwp5", " /!\\ Qualite a detruire !!!", " Qualite des items qui seront detruits en fonction de vos autres choix (traits ou prix) ! Les qualites inferieurs seront egalement detruites!!! ", qualopts,
                function()  return db.WEAPONTYPE_DAGGER_DESTROY end,
				function(val)	db.WEAPONTYPE_DAGGER_DESTROY = val end)
		LAM:AddDropdown(lfpanel, "X1dahfcherchetrait1", "Priorité a ce trait >>", " Si une dague a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.DAG_ITEM_TRAIT1 end,
				function(val)	db.DAG_ITEM_TRAIT1 = val end)
		LAM:AddDropdown(lfpanel, "X1dahfcherchetrait2", "Priorité a ce trait >>", " Si une dague a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.DAG_ITEM_TRAIT2 end,
				function(val)	db.DAG_ITEM_TRAIT2 = val end)
				
				
		LAM:AddDescription(lfpanel, "X1Hlflootbyqdesc7", "- Arc -", "------------------------")
		LAM:AddDropdown(lfpanel, "X1wp8", "Qualite a garder >>", " Qualite qui sera conservee en inventaire comme toutes celles de qualite superieure. ", qualopts,
                function()  return db.WEAPONTYPE_BOW_LOOT end,
				function(val)	db.WEAPONTYPE_BOW_LOOT = val end)
		LAM:AddDropdown(lfpanel, "X1dwp8", " /!\\ Qualite a detruire !!!", " Qualite des items qui seront detruits en fonction de vos autres choix (traits ou prix) ! Les qualites inferieurs seront egalement detruites!!! ", qualopts,
                function()  return db.WEAPONTYPE_BOW_DESTROY end,
				function(val)	db.WEAPONTYPE_BOW_DESTROY = val end)
		LAM:AddDropdown(lfpanel, "X1bohfcherchetrait1", "Priorité a ce trait >>", " Si un arc a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.BOW_ITEM_TRAIT1 end,
				function(val)	db.BOW_ITEM_TRAIT1 = val end)
		LAM:AddDropdown(lfpanel, "X1bohfcherchetrait2", "Priorité a ce trait >>", " Si un arc a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.BOW_ITEM_TRAIT2 end,
				function(val)	db.BOW_ITEM_TRAIT2 = val end)
				
				
		LAM:AddDescription(lfpanel, "X1Hlflootbyqdesc8", "- Epee 2 mains -", "------------------------")
		LAM:AddDropdown(lfpanel, "X1wp12", "Qualite a garder >>", " Qualite qui sera conservee en inventaire comme toutes celles de qualite superieure. ", qualopts,
                function()  return db.WEAPONTYPE_TWO_HANDED_SWORD_LOOT end,
				function(val)	db.WEAPONTYPE_TWO_HANDED_SWORD_LOOT = val end)
		LAM:AddDropdown(lfpanel, "X1dwp12", " /!\\ Qualite a detruire !!!", " Qualite des items qui seront detruits en fonction de vos autres choix (traits ou prix) ! Les qualites inferieurs seront egalement detruites!!! ", qualopts,
                function()  return db.WEAPONTYPE_TWO_HANDED_SWORD_DESTROY end,
				function(val)	db.WEAPONTYPE_TWO_HANDED_SWORD_DESTROY = val end)
		LAM:AddDropdown(lfpanel, "X1sshfcherchetrait1", "Priorité a ce trait >>", " Si une epee 2H a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.EPE2_ITEM_TRAIT1 end,
				function(val)	db.EPE2_ITEM_TRAIT1 = val end)
		LAM:AddDropdown(lfpanel, "X1sshfcherchetrait2", "Priorité a ce trait >>", " Si une epee 2H a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.EPE2_ITEM_TRAIT2 end,
				function(val)	db.EPE2_ITEM_TRAIT2 = val end)
				
				
		LAM:AddDescription(lfpanel, "X1Hlflootbyqdesc9", "- Marteau 2 mains -", "------------------------")
		LAM:AddDropdown(lfpanel, "X1wp10", "Qualite a garder >>", " Qualite qui sera conservee en inventaire comme toutes celles de qualite superieure. ", qualopts,
                function()  return db.WEAPONTYPE_TWO_HANDED_HAMMER_LOOT end,
				function(val)	db.WEAPONTYPE_TWO_HANDED_HAMMER_LOOT = val end)
		LAM:AddDropdown(lfpanel, "X1dwp10", " /!\\ Qualite a detruire !!!", " Qualite des items qui seront detruits en fonction de vos autres choix (traits ou prix) ! Les qualites inferieurs seront egalement detruites!!! ", qualopts,
                function()  return db.WEAPONTYPE_TWO_HANDED_HAMMER_DESTROY end,
				function(val)	db.WEAPONTYPE_TWO_HANDED_HAMMER_DESTROY = val end)
		LAM:AddDropdown(lfpanel, "X1hhhfcherchetrait1", "Priorité a ce trait >>", " Si un marteau 2H a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.HAM2_ITEM_TRAIT1 end,
				function(val)	db.HAM2_ITEM_TRAIT1 = val end)
		LAM:AddDropdown(lfpanel, "X1hhhfcherchetrait2", "Priorité a ce trait >>", " Si un marteau 2H a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.HAM2_ITEM_TRAIT2 end,
				function(val)	db.HAM2_ITEM_TRAIT2 = val end)
				
				
		LAM:AddDescription(lfpanel, "X1Hlflootbyqdesc10", "- Hache 2 mains -", "------------------------")
		LAM:AddDropdown(lfpanel, "X1wp11", "Qualite a garder >>", " Qualite qui sera conservee en inventaire comme toutes celles de qualite superieure. ", qualopts,
                function()  return db.WEAPONTYPE_TWO_HANDED_AXE_LOOT end,
				function(val)	db.WEAPONTYPE_TWO_HANDED_AXE_LOOT = val end)
		LAM:AddDropdown(lfpanel, "X1dwp11", " /!\\ Qualite a detruire !!!", " Qualite des items qui seront detruits en fonction de vos autres choix (traits ou prix) ! Les qualites inferieurs seront egalement detruites!!! ", qualopts,
                function()  return db.WEAPONTYPE_TWO_HANDED_AXE_DESTROY end,
				function(val)	db.WEAPONTYPE_TWO_HANDED_AXE_DESTROY = val end)
		LAM:AddDropdown(lfpanel, "X1aahfcherchetrait1", "Priorité a ce trait >>", " Si une hache 2H a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.AXE2_ITEM_TRAIT1 end,
				function(val)	db.AXE2_ITEM_TRAIT1 = val end)
		LAM:AddDropdown(lfpanel, "X1aahfcherchetrait2", "Priorité a ce trait >>", " Si une hache 2H a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.AXE2_ITEM_TRAIT2 end,
				function(val)	db.AXE2_ITEM_TRAIT2 = val end)
				
				
		LAM:AddDescription(lfpanel, "X1Hlflootbyqdesc11", "- Epee -", "------------------------")
		LAM:AddDropdown(lfpanel, "X1wp13", "Qualite a garder >>", " Qualite qui sera conservee en inventaire comme toutes celles de qualite superieure. ", qualopts,
                function()  return db.WEAPONTYPE_SWORD_LOOT end,
				function(val)	db.WEAPONTYPE_SWORD_LOOT = val end)
		LAM:AddDropdown(lfpanel, "X1dwp13", " /!\\ Qualite a detruire !!!", " Qualite des items qui seront detruits en fonction de vos autres choix (traits ou prix) ! Les qualites inferieurs seront egalement detruites!!! ", qualopts,
                function()  return db.WEAPONTYPE_SWORD_DESTROY end,
				function(val)	db.WEAPONTYPE_SWORD_DESTROY = val end)
		LAM:AddDropdown(lfpanel, "X1ehfcherchetrait1", "Priorité a ce trait >>", " Si une epee 1H a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.EPE1_ITEM_TRAIT1 end,
				function(val)	db.EPE1_ITEM_TRAIT1 = val end)
		LAM:AddDropdown(lfpanel, "X1ehfcherchetrait2", "Priorité a ce trait >>", " Si une epee 1H a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.EPE1_ITEM_TRAIT2 end,
				function(val)	db.EPE1_ITEM_TRAIT2 = val end)
				
				
		LAM:AddDescription(lfpanel, "X1Hlflootbyqdesc12", "- Masse -", "------------------------")
		LAM:AddDropdown(lfpanel, "X1wp14", "Qualite a garder >>", " Qualite qui sera conservee en inventaire comme toutes celles de qualite superieure. ", qualopts,
                function()  return db.WEAPONTYPE_HAMMER_LOOT end,
				function(val)	db.WEAPONTYPE_HAMMER_LOOT = val end)
		LAM:AddDropdown(lfpanel, "X1dwp14", " /!\\ Qualite a detruire !!!", " Qualite des items qui seront detruits en fonction de vos autres choix (traits ou prix) ! Les qualites inferieurs seront egalement detruites!!! ", qualopts,
                function()  return db.WEAPONTYPE_HAMMER_DESTROY end,
				function(val)	db.WEAPONTYPE_HAMMER_DESTROY = val end)
		LAM:AddDropdown(lfpanel, "X1hahfcherchetrait1", "Priorité a ce trait >>", " Si une masse 1H a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.HAM1_ITEM_TRAIT1 end,
				function(val)	db.HAM1_ITEM_TRAIT1 = val end)
		LAM:AddDropdown(lfpanel, "X1hahfcherchetrait2", "Priorité a ce trait >>", " Si une masse 1H a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.HAM1_ITEM_TRAIT2 end,
				function(val)	db.HAM1_ITEM_TRAIT2 = val end)
				
				
		LAM:AddDescription(lfpanel, "X1Hlflootbyqdesc13", "- Hache -", "------------------------")
		LAM:AddDropdown(lfpanel, "X1wp15", "Qualite a garder >>", " Qualite qui sera conservee en inventaire comme toutes celles de qualite superieure. ", qualopts,
                function()  return db.WEAPONTYPE_AXE_LOOT end,
				function(val)	db.WEAPONTYPE_AXE_LOOT = val end)
		LAM:AddDropdown(lfpanel, "X1dwp15", " /!\\ Qualite a detruire !!!", " Qualite des items qui seront detruits en fonction de vos autres choix (traits ou prix) ! Les qualites inferieurs seront egalement detruites!!! ", qualopts,
                function()  return db.WEAPONTYPE_AXE_DESTROY end,
				function(val)	db.WEAPONTYPE_AXE_DESTROY = val end)
		LAM:AddDropdown(lfpanel, "X1axhfcherchetrait1", "Priorité a ce trait >>", " Si une hache 1H a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.AXE1_ITEM_TRAIT1 end,
				function(val)	db.AXE1_ITEM_TRAIT1 = val end)
		LAM:AddDropdown(lfpanel, "X1axhfcherchetrait2", "Priorité a ce trait >>", " Si une hache 1H a ce trait il ne sera pas classé en rebuts.", traitarme,
                function()  return db.AXE1_ITEM_TRAIT2 end,
				function(val)	db.AXE1_ITEM_TRAIT2 = val end)

		
		LAM:AddHeader(lfpanel, "X1lootbycrafttype", "Craft")
		LAM:AddDescription(lfpanel, "X1lflootbycdesc", "Item par type de craft", "Choisir ce que vous souhaitez faire des certains item de craft.")
		
		LAM:AddDropdown(lfpanel, "X1qualityselect7", "Alchemy", "", lootopts,
                function()  return db.CRAFTING_TYPE_ALCHEMY end,
				function(val)	db.CRAFTING_TYPE_ALCHEMY = val end)
		LAM:AddDropdown(lfpanel, "X1qualityselect8", "Forge", "", lootopts,
                function()  return db.CRAFTING_TYPE_BLACKSMITHING end,
				function(val)	db.CRAFTING_TYPE_BLACKSMITHING = val end)
		LAM:AddDropdown(lfpanel, "X1qualityselect9", "Couture", "", lootopts,
                function()  return db.CRAFTING_TYPE_CLOTHIER end,
				function(val)	db.CRAFTING_TYPE_CLOTHIER = val end)
		LAM:AddDropdown(lfpanel, "X1qualityselect10", "Enchantement", "", lootopts,
                function()  return db.CRAFTING_TYPE_ENCHANTING end,
				function(val)	db.CRAFTING_TYPE_ENCHANTING = val end)
		LAM:AddDropdown(lfpanel, "X1qualityselect11", "Cuisine", "", lootopts,
                function()  return db.CRAFTING_TYPE_PROVISIONING end,
				function(val)	db.CRAFTING_TYPE_PROVISIONING = val end)
		LAM:AddDropdown(lfpanel, "X1qualityselect12", "Ebenisterie", "", lootopts,
                function()  return db.CRAFTING_TYPE_WOODWORKING end,
				function(val)	db.CRAFTING_TYPE_WOODWORKING = val end)
				
				
		LAM:AddHeader(lfpanel, "X1lootbytype", "Divers")
		LAM:AddDescription(lfpanel, "X1lflootbycdesc2", "Filtre par type", "")
		LAM:AddDropdown(lfpanel, "X1lothertype1", "Leures ( Peche )", "", lootopts,
                function()  return db.ITEMTYPE_LURE end,
				function(val)	db.ITEMTYPE_LURE = val end)
				
		LAM:AddDropdown(lfpanel, "X1lothertype2", "Materiel pour Style", "", lootopts,
                function()  return db.ITEMTYPE_STYLE end,
				function(val)	db.ITEMTYPE_STYLE = val end)
		
		LAM:AddDropdown(lfpanel, "X1lothertype3", "item trash a vendre", "", lootopts,
                function()  return db.ITEMTYPE_TRASH end,
				function(val)	db.ITEMTYPE_TRASH = val end)
		


		LAM:AddHeader(lfpanel, "X1shorts", "Les Commandes ajoutees :")
		LAM:AddDescription(lfpanel, "X1lflootbycdesc7", "Reload UI.. Commande ReloadUi raccourci", "/rl")
		--LAM:AddDescription(lfpanel, "X1lflootbycdesc3", "Restacker ses items d'inventaire : ", "/rs")
		LAM:AddDescription(lfpanel, "X1lflootbycdesc4", "Supprime tous les rebuts", "/dj")
		
		LAM:AddDescription(lfpanel, "X1lfdesc0001", " --- Dev par Tarl-Cabot ---", "Version ".. ver)
		
		LAM:AddCheckbox(lfpanel, "X1debugmessages", "Debug Messages", "voir les messages de debugage.",
					function()  return db.debugmsg end,
					function()	db.debugmsg = not db.debugmsg end)
					
					
end

SLASH_COMMANDS["/rl"] = function()
    ReloadUI("ingame")
end
SLASH_COMMANDS["/dj"] = function()
   sendDebug("Detruit tous les rebuts")
   DestroyAllJunk()
end


function AL.OnLoad(eventCode, addOnName)
	autoloot_X1_settings = autoloot_X1_settings or {}
	for k,v in pairs(defaults) do
	    if type(autoloot_X1_settings[k]) == "nil" then
	        autoloot_X1_settings[k] = v
	    end
	end
	db = autoloot_X1_settings
end
function AL.SellJunk()
	if(db.selljunk==true) then
		SellAllJunk()
	end
	if(db.repairall==true) then
		RepairAll()
	end
	if(db.repairequipped==true) then
		local _, bagSlots = GetBagInfo(BAG_WORN)
			local costEquiped = 0;
					for slotIndex=0, bagSlots - 1 do
						local condition = GetItemCondition(bagId, slotIndex)
						if condition < 100 then
						local icon, stackCount, _, _, _, _, _, quality = GetItemInfo(bagId, slotIndex)
						if stackCount > 0 then
						local repairCost = GetItemRepairCost(bagId, slotIndex)
						if repairCost > 0 then
						costEquiped = costEquiped + repairCost;
						RepairItem(bagId, slotIndex)
					end
					sendDebug("Items Repaired : Costing :" .. costEquiped .. " Gold")
				end
			end
		end
	end
end

local addonName, addon, _ = 'AutoLoot_X1', {}

 function MoveItem(fromBag, fromSlot, toBag, toSlot, count)
	count = count or GetSlotStackSize(fromBag, fromSlot)


	local success
	if CallSecureProtected('PickupInventoryItem', fromBag, fromSlot, count) then
		success = CallSecureProtected('PlaceInInventory', toBag, toSlot)
	end

	-- clear the cursor to avoid issues
	ClearCursor()
end
local positions = {}
 function AL.CheckRestack()
	sendd("CheckRestack")
	
	if (db.autorestack == "1") then return end
	
	for link, data in pairs(positions) do
		for k, v in pairs(data) do
			data[k] = nil
		end
		positions[link] = nil
	end

	local direction, firstBag, lastBag
	local maxBags = math.min(BAG_BANK, GetMaxBags())
	direction, firstBag, lastBag = 1, 1, maxBags
	
	for bag = firstBag, lastBag, direction do
		local icon, numSlots = GetBagInfo(bag)
		for slot = 0, numSlots do
			local link = GetItemLink(bag, slot, LINK_STYLE_DEFAULT)
			local itemID = link and link:match('item:(%d+)')

			local itemtype = GetItemType(bag, slot)
			local itemlvl = GetItemLevel(bag, slot)
			local usedInCraftingType, itemType, extraInfo1, extraInfo2, extraInfo3 = GetItemCraftingInfo(bag, slot)
			sendd("xxxxxx")
			sendd(bag)
			sendd(slot)
			sendd(itemType)
			sendd(itemtype)
			if(itemType == 4 or itemType == 7 or itemType == 12) then 
				if (db.DRINK_FOOD_LVL ~= "All") then
					local i 
					if (db.DRINK_FOOD_LVL == "10") then i=10 end
					if (db.DRINK_FOOD_LVL == "20") then i=20 end
					if (db.DRINK_FOOD_LVL == "30") then i=30 end
					if (db.DRINK_FOOD_LVL == "40") then i=40 end
					if (db.DRINK_FOOD_LVL == "50") then i=50 end
					sendd("i : "..i)
					if ( i > itemlvl)then
						db.autorestack = "1";
						AL.do_action(bagId, slotId, "rebut")
					end	
				end
			end	

				local count, stackSize = GetSlotStackSize(bag, slot)
				local total = count
				if link and count < stackSize then
					if positions[itemID] then
						total = total + positions[itemID].count
						local success = MoveItem(bag, slot, positions[itemID].bag, positions[itemID].slot, count)
						if success and total > stackSize then
							positions[itemID].bag = bag
							positions[itemID].slot = slot
							positions[itemID].count = total - stackSize
						end
					else
						-- first time encountering this item
						positions[itemID] = {
							bag = bag,
							slot = slot,
							count = count,
						}
					end
				end
			--end
		end
	end
	--db.autorestack = "1";
end

EVENT_MANAGER:RegisterForEvent("AutoLoot_X1", EVENT_ADD_ON_LOADED, function(event, addon)

	if(addon=="autoloot_X1") then
		EVENT_MANAGER:RegisterForEvent("AutoLoot_X1", EVENT_INVENTORY_SINGLE_SLOT_UPDATE, AL.OnLootReceived)
		EVENT_MANAGER:RegisterForEvent("AutoLoot_X1", EVENT_OPEN_STORE, AL.SellJunk)
		
		AL.OnLoad()
		CreateOptions()
	end
end)
